% Funzione che attiva o disattiva la scrittura dei sensori
function [scrivoTL,scrivoTLH,scrivoIPL,scrivoHD,scrivoHDVR,scrivoTLHR,scrivoTLHRH,scrivoIPLHR,...
    scrivoPL,scrivoBL,scrivoLL,scrivoKL,scrivoKLHR,scrivoRL,scrivoSL,scrivoThL,...
    scrivoPT100,scrivoWL,scrivoPE,scrivoSPP] = scrivo(X,Z_TLH,X_IPL,X_HD,X_HDVR,X_HR,Z_TLHRH,X_IPLHR,...
    Livello,BaroDef,DatiLoad,ANGdefKL,ANGdefKLHR,Rain,Snow,Dati_ThL,Dati_PT100,...
    Dati_WL,Dati_PE,SPP,FileName)

text = 'scrivo function started';
fileID = fopen(FileName,'a');
fmt = '%s \r';
fprintf(fileID,fmt,text);

%% Tilt Link
TL = isempty(X);
if TL == 1
   scrivoTL = 0;
else
    scrivoTL = 1;
end

%% Tilt Link H
TLH = isempty(Z_TLH);
if TLH == 1
   scrivoTLH = 0;
else
    scrivoTLH = 1;
end

%% In Place Link
IPL = isempty(X_IPL);
if IPL == 1
   scrivoIPL = 0;
else
    scrivoIPL = 1;
end

%% Tilt Link HD
HD = isempty(X_HD);
if HD == 1
   scrivoHD = 0;
else
    scrivoHD = 1;
end

%% Tilt Link HD VR
HDVR = isempty(X_HDVR);
if HDVR == 1
   scrivoHDVR = 0;
else
    scrivoHDVR = 1;
end

%% Tilt Link HR
TLHR = isempty(X_HR);
if TLHR == 1
   scrivoTLHR = 0;
else
    scrivoTLHR = 1;
end

%% Tilt Link HR H
TLHRH = isempty(Z_TLHRH);
if TLHRH == 1
   scrivoTLHRH = 0;
else
    scrivoTLHRH = 1;
end

%% In Place Link HR
IPLHR = isempty(X_IPLHR);
if IPLHR == 1
   scrivoIPLHR = 0;
else
    scrivoIPLHR = 1;
end

%% Piezo Link
PL = isempty(Livello);
if PL == 1
   scrivoPL = 0;
else
    scrivoPL = 1;
end

%% Baro Link
BL = isempty(BaroDef);
if BL == 1
   scrivoBL = 0;
else
    scrivoBL = 1;
end

%% Load Link
LL = isempty(DatiLoad);
if LL == 1
   scrivoLL = 0;
else
    scrivoLL = 1;
end

%% Klino Link
KL = isempty(ANGdefKL);
if KL == 1
   scrivoKL = 0;
else
    scrivoKL = 1;
end

%% Klino Link HR
KLHR = isempty(ANGdefKLHR);
if KLHR == 1
   scrivoKLHR = 0;
else
    scrivoKLHR = 1;
end

%% Rain Link
RL = isempty(Rain);
if RL == 1
   scrivoRL = 0;
else
    scrivoRL = 1;
end

%% Snow Link
SL = isempty(Snow);
if SL == 1
   scrivoSL = 0;
else
    scrivoSL = 1;
end

%% Therm Link
ThL = isempty(Dati_ThL);
if ThL == 1
   scrivoThL = 0;
else
    scrivoThL = 1;
end

%% PT100 Link
PT100 = isempty(Dati_PT100);
if PT100 == 1
   scrivoPT100 = 0;
else
    scrivoPT100 = 1;
end

%% Weir Link
Weir = isempty(Dati_WL);
if Weir == 1
   scrivoWL = 0;
else
    scrivoWL = 1;
end

%% Pendulum
Pendulum = isempty(Dati_PE);
if Pendulum == 1
   scrivoPE = 0;
else
    scrivoPE = 1;
end

%% SPP
SPPdati = isempty(SPP);
if SPPdati == 1
   scrivoSPP = 0;
else
    scrivoSPP = 1;
end

text = 'scrivo function worked correctly';
fprintf(fileID,fmt,text);
fclose(fileID);

end